var DomUtil = (function () {
    function DomUtil() {
    }
    DomUtil.isComment = function (domNode) {
        return domNode.nodeType === domNode.COMMENT_NODE;
    };
    DomUtil.isElement = function (domNode) {
        return domNode.nodeType === domNode.ELEMENT_NODE;
    };
    DomUtil.isText = function (domNode) {
        return domNode.nodeType === domNode.TEXT_NODE;
    };
    DomUtil.isProcessingInstruction = function (domNode) {
        return domNode.nodeType === domNode.PROCESSING_INSTRUCTION_NODE;
    };
    DomUtil.isInline = function (domNode) {
        if (domNode) {
            return domNode.nodeType === domNode.TEXT_NODE ||
                domNode.nodeType === domNode.COMMENT_NODE ||
                (domNode.nodeType === domNode.ELEMENT_NODE && (DomUtil.BLOCK_LEVEL_HTML_NODES.indexOf(domNode.nodeName.toLowerCase()) < 0));
        }
        else {
            return false;
        }
    };
    DomUtil.writeStartElement = function (domElement) {
        var attributes = '';
        for (var i = 0; i < domElement.attributes.length; i++) {
            var attr = domElement.attributes.item(i);
            attributes += " " + attr.name + "=\"" + attr.value + "\"";
        }
        return "<" + domElement.tagName.toLowerCase() + attributes + ">";
    };
    DomUtil.writeEndElement = function (domElement) {
        return "</" + domElement.tagName.toLowerCase() + ">";
    };
    DomUtil.TYPES_WITH_MANDATORY_BLOCKED_CONTENT = ['Item', 'BlockQuote'];
    DomUtil.BLOCK_LEVEL_HTML_NODES = ['address', 'article', 'aside', 'base', 'basefont', 'blockquote', 'body', 'caption', 'center', 'col', 'colgroup', 'dd', 'details', 'dialog', 'dir', 'div', 'dl', 'dt', 'fieldset', 'figcaption', 'figure', 'footer', 'form', 'frame', 'frameset', 'h1', 'head', 'header', 'hr', 'html', 'iframe', 'legend', 'li', 'link', 'main', 'menu', 'menuitem', 'meta', 'nav', 'noframes', 'ol', 'optgroup', 'option', 'p', 'param', 'section', 'source', 'summary', 'table', 'tbody', 'td', 'tfoot', 'th', 'thead', 'title', 'tr', 'track', 'ul'];
    return DomUtil;
})();
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = DomUtil;
//# sourceMappingURL=DomUtil.js.map